FSCK(8)

BEZEICHNUNG
fsck.minix - Konsistenzprüfung eines Minix-Dateisystems

ÜBERSICHT
fsck.minix [-larvsmf] Gerät

BESCHREIBUNG
fsck.minix prüft die Konsistenz des MINIX-Dateisystems von Linux. Die derzeitige Version unterstützt die Optionen für 14 und 30 Zeichen lange Dateinamen. Das Programm geht davon aus, dass das Dateisystem nicht aktiv ist. fsck.minix sollte nicht auf ein eingehängtes Gerät angewendet werden, es sei denn, Sie können sicherstellen, dass niemand schreibend darauf zugreift. Denken Sie auch daran, dass der Kernel bei der Suche nach Dateien Schreibvorgänge auslösen kann. Der Name des Gerätes hat normalerweise die folgende Form:
    /dev/hda[1–63] (IDE-Platte 1)
    /dev/hdb[1–63] (IDE-Platte 2)
    /dev/sda[1–15] (SCSI-Platte 1)
    /dev/sdb[1–15] (SCSI-Platte 2)
Wenn das Dateisystem geändert (repariert) wurde, dann meldet fsck.minix »DATEISYSTEM WURDE GEÄNDERT« und führt vor dem Beenden drei Mal sync(2) aus. Da Linux gegenwärtig keine Roh-Geräte kennt, ist ein Neustart zu diesem Zeitpunkt nicht nötig.

WARNUNG
fsck.minix sollte nicht auf ein eingehängtes Dateisystem angewendet werden. Dies ist sehr gefährlich, weil gelöschte Dateien möglicherweise noch in Benutzung sind, was ein perfektes Dateisystem ernsthaft beschädigen kann! Wenn Sie absolut keinen anderen Weg sehen, als fsck.minix auf einem eingehängten Dateisystem auszuführen (zum Beispiel der Dateisystemwurzel), stellen Sie sicher, dass keine Schreibzugriffe stattfinden und keine Dateien als »Zombies« auf das endgültige Löschen warten.

OPTIONEN

-l  Alle Dateinamen auflisten.

-r  Interaktive Reparaturen durchführen.

-a  führt automatische Reparaturen aus. Diese Option bezieht -r ein und dient dazu, alle gestellten Fragen mit den Vorgabeeinstellungen zu beantworten. Beachten Sie, dass dies extrem gefährlich sein kann, wenn das Dateisystem schwer beschädigt ist.

-v  Ausführlicher Modus.

-s  gibt Informationen zum Superblock aus.

-m  aktiviert »Modus nicht zurückgesetzt«-Warnungen im MINIX-Stil.

-f  erzwingt eine Dateisystemüberprüfung, selbst wenn das Dateisystem als gültig markiert wurde (diese Markierung wird durch den Kernel vorgenommen, wenn das Dateisystem ausgehängt wird).

SIEHE AUCH
fsck(8), fsck.ext2(8), mkfs(8), mkfs.minix(8), mkfs.ext2(8), reboot(8)

DIAGNOSE
Es gibt zahlreiche Diagnosemeldungen. Die hier erwähnten sind jene, die bei gewöhnlicher Benutzung am häufigsten zu sehen sind. Falls das Gerät nicht existiert, gibt fsck.minix die Meldung »Superblock konnte nicht gelesen werden« aus. Existiert das Gerät zwar, ist aber kein MINIX-Dateisystem, wird die Meldung »Ungültige magische Zahl im Superblock« ausgegeben.

EXIT-CODES
Der Rückgabewert von fsck.minix ergibt sich aus den folgenden Bedingungen:

0   Keine Fehler

3   Dateisystemfehler korrigiert, das System sollte neu gestartet werden, falls das Dateisystem eingehängt war.

4   Dateisystemfehler wurden nicht korrigiert

7   Kombination der Exit-Codes 3 und 4

8   Betriebsfehler

16  Aufruf- oder Syntaxfehler

Tatsächlich können nur 0, 3, 4, 7, 8 und 16 zurückgeliefert werden.

AUTOR
Linus Torvalds (torvalds@cs.helsinki.fi)
Werte der Fehlercodes von Rik Faith (faith@cs.unc.edu)
Unterstützung für die Gültigkeitsmarkierung des Dateisystems: Dr.Wettstein (greg%wind.uucp@plains.nodak.edu)
Überprüfung, ob Fsck auf eingehängten Dateisystemen ausgeführt wird, von Daniel Quinlan (quinlan@yggdrasil.com)
Unterstützung für Minix v2 von Andreas Schwab (schwab@issan.informatik.uni-dortmund.de), aktualisiert von Nicolai Langfeldt (janl@math.uio.no)
Portabilitäts-Patch von Russell King (rmk@ecs.soton.ac.uk).

VERFÜGBARKEIT
Der Befehl fsck.minix ist Teil des Pakets util-linux und kann von ftp://ftp.kernel.org/pub/linux/utils/util-linux/ heruntergeladen werden.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.